Bug 661541 - Resource Tabs infinite loop
Resource Tabs infinite loop
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 17:50 EST by Simeon Pinder
Modified: 2013-09-02 03:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2010-12-08 17:50:58 EST
Description of problem:
Sometimes while switching between tabs of a given resource the browser can get stuck in and infinite client side reload loop.  The exact order of Resource tab clicks will be maintained continually.  On some browser versions the page freezes and only the top url is shown to cycle.  In one Chrome browser on FF12 I was not able to get the infinite cycle to occur.

Version-Release number of selected component (if applicable):
See above.

How reproducible:
Most of the time.

Steps to Reproduce:
1. Load a DP2(4.0.0.B02) instance with resources in inventory and navigate to the platform resource.
2. Begin to click between the child tabs(Inventory,Monitoring,Events,Alerts,Content,etc.) quickly in any order.  After about ten to fifteen clicks, the browser will continue to replicate the order of clicks until one closes that browser tab.
  
Actual results:
Infinite cycle of Resource tab clicking continues until closing the browser tab.

Expected results:
Tabbing to stop loading after latest click.

Additional info:
I've been able to see the same behavior on both Chrome and FF on both Windows and Linux.
Comment 1 Charles Crouch 2011-09-27 18:21:21 EDT
This should have been fixed in the pre-Beta round of UI fixes, pushing to QE to 
verify
Comment 2 Sunil Kondkar 2011-09-29 09:00:47 EDT
Verified on build#446 (Version: 4.1.0-SNAPSHOT Build Number: 566527b)

Navigated to the platform resource and clicked quickly in random order between the child tabs. The tabbing stopped loading after the latest click. 

Verified on Chrome and FF browsers.

Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:25:54 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.